com.independentsoft.exchange

## Class RuleValidationError

- java.lang.Object
- - com.independentsoft.exchange.RuleValidationError

-     public class RuleValidationError
      extends java.lang.Object

  Represents a single validation error on a particular rule property value, predicate property value, or action property value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleValidationError()` Initializes a new instance of the RuleValidationError class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleValidationErrorCode` | `getErrorCode()` Gets a rule validation error code that describes what failed validation for each rule predicate or action.
    `java.lang.String` | `getErrorMessage()` Gets the reason for the validation error.
    `RuleFieldUri` | `getFieldUri()` Gets the URI to the rule field that caused the validation error.
    `java.lang.String` | `getFieldValue()` Gets the value of the field that caused the validation error.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleValidationError

          public RuleValidationError()

      Initializes a new instance of the RuleValidationError class.

  - ### Method Detail

    - #### getFieldUri

          public RuleFieldUri getFieldUri()

      Gets the URI to the rule field that caused the validation error.
      Returns:
        the field uri

    - #### getErrorCode

          public RuleValidationErrorCode getErrorCode()

      Gets a rule validation error code that describes what failed validation for each rule predicate or action.
      Returns:
        the error code

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets the reason for the validation error.
      Returns:
        the error message

    - #### getFieldValue

          public java.lang.String getFieldValue()

      Gets the value of the field that caused the validation error.
      Returns:
        the field value